Subject: Re: [RFC] generic MIPS RTC driver

From: Richard Zidlicky <[email-masked]>
Date: Wed, 14 Nov 2001 11:08:42 +0100

On Tue, Nov 13, 2001 at 09:58:45AM -0800, Jun Sun wrote:
> Richard Zidlicky wrote:
>
> > Btw the interrupt need not to be hardware, for the Q40 I test
> > a rtc register once per jiffie and generate a "soft interrupt".
> > It could be done generic at least for m68k.
> >
>
> I have written an experiemntal ptimer driver to do just this and potential
> more.  Such a device is useful for real-time programming (e.g., when you try
> to implement a periodic user task).
>
> See http://linux.junsun.net/realtime-linux/preemption-test
>
> The driver is architecture independent (i.e., linux-common code)
>
> Due to the different programming needs behind periodic timers (or user-level
> timer) and RTC operations, my vote for future work is to leave them as two
> separate drivers.  To me, RTC is really just to read/write RTC clock.

RTC_UIE is needed (or at least very useful) to set the clock, so it belongs
into a rtc driver if it can be implemented. General purpose timers are
different story, btw what is wrong with setitimer that you have chosen
to implement an additional driver for it?

Richard

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/